Bug 1235999 - [abrt] speech-dispatcher: cst_val_consp(): sd_flite killed by SIGSEGV
Summary: [abrt] speech-dispatcher: cst_val_consp(): sd_flite killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: speech-dispatcher
Version: 21
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6d6471c9a06835661604a9fd7f9...
: 1238577 (view as bug list)
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-06-26 10:13 UTC by Carsten Jacobi
Modified: 2015-07-20 08:14 UTC (History)
1 user (show)

Fixed In Version: speech-dispatcher-0.8.3-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-10 19:14:06 UTC


Attachments (Terms of Use)
File: backtrace (13.65 KB, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: cgroup (193 bytes, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: core_backtrace (2.46 KB, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: dso_list (1.27 KB, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: environ (6.59 KB, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: exploitable (100 bytes, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: maps (5.21 KB, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: open_fds (352 bytes, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2015-06-26 10:13 UTC, Carsten Jacobi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1238577 None None None Never

Internal Links: 1238577

Description Carsten Jacobi 2015-06-26 10:13:03 UTC
Description of problem:
Just wanted to have the speech dispatcher read a single word for me

Version-Release number of selected component:
speech-dispatcher-0.8.2-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/speech-dispatcher-modules/sd_flite /etc/speech-dispatcher/modules/flite.conf
crash_function: cst_val_consp
executable:     /usr/lib64/speech-dispatcher-modules/sd_flite
kernel:         4.0.4-202.fc21.ppc64
runlevel:       N 5
type:           CCpp
uid:            1122391
var_log_messages: [System Logs]:\n-- Logs begin at Di 2015-02-10 10:56:10 CET, end at Fr 2015-06-26 11:55:16 CEST. --

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 cst_val_consp at cst_val.c:244
 #1 delete_val at cst_val.c:111
 #3 feat_set at cst_features.c:232
 #4 register_cmu_us_kal at cmu_us_kal16.c:69
 #5 module_init at flite.c:113

Comment 1 Carsten Jacobi 2015-06-26 10:13:06 UTC
Created attachment 1043457 [details]
File: backtrace

Comment 2 Carsten Jacobi 2015-06-26 10:13:07 UTC
Created attachment 1043458 [details]
File: cgroup

Comment 3 Carsten Jacobi 2015-06-26 10:13:08 UTC
Created attachment 1043459 [details]
File: core_backtrace

Comment 4 Carsten Jacobi 2015-06-26 10:13:09 UTC
Created attachment 1043460 [details]
File: dso_list

Comment 5 Carsten Jacobi 2015-06-26 10:13:10 UTC
Created attachment 1043461 [details]
File: environ

Comment 6 Carsten Jacobi 2015-06-26 10:13:11 UTC
Created attachment 1043462 [details]
File: exploitable

Comment 7 Carsten Jacobi 2015-06-26 10:13:12 UTC
Created attachment 1043463 [details]
File: limits

Comment 8 Carsten Jacobi 2015-06-26 10:13:13 UTC
Created attachment 1043464 [details]
File: maps

Comment 9 Carsten Jacobi 2015-06-26 10:13:15 UTC
Created attachment 1043465 [details]
File: open_fds

Comment 10 Carsten Jacobi 2015-06-26 10:13:15 UTC
Created attachment 1043466 [details]
File: proc_pid_status

Comment 11 Peter Robinson 2015-06-26 11:23:58 UTC
> Just wanted to have the speech dispatcher read a single word for me

Are you using a custom configuration, the standard out of the box should use espeak not flite.

I'm about to push 0.8.3 to F-21 as an update which has a number of crash fixes.

Comment 12 Fedora Update System 2015-06-26 11:37:18 UTC
speech-dispatcher-0.8.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/speech-dispatcher-0.8.3-1.fc21

Comment 13 Peter Robinson 2015-06-26 11:42:57 UTC
being on ppc64 you'll need to wait for the secondary build to happen. You may wish to test on Fedora 22 as the new version is already there. You may also wish to test the espeak backend as that'll let us know if it's speech-dispatcher or something else.

Comment 14 Carsten Jacobi 2015-06-26 13:28:46 UTC
Actually, I just marked a word in a PDF opened in Okular and clicked on "read text" in the context menu. Since I use KDE, text-to-speach is managed by Jovie and I have no clue how Jovie decides on which backend to use. One RPM that I also installed was gstreamer-plugins-espeak, but I doubt that this will make a difference.
Can you also test espeak and flite with simple single command lines to find out whether they work in general?

Comment 15 Fedora Update System 2015-06-26 20:31:44 UTC
Package speech-dispatcher-0.8.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing speech-dispatcher-0.8.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10786/speech-dispatcher-0.8.3-1.fc21
then log in and leave karma (feedback).

Comment 16 Carsten Jacobi 2015-07-02 09:40:24 UTC
*** Bug 1238577 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Update System 2015-07-10 19:14:06 UTC
speech-dispatcher-0.8.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Carsten Jacobi 2015-07-20 08:14:18 UTC
Another user experienced a similar problem:

The speech dispatcher runs in an endless loop and constantly increases its memory footprint. When I send an INT signal this crash happens.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/speech-dispatcher --spawn --communication-method unix_socket --socket-path /run/user/1122391/speech-dispatcher/speechd.sock
crash_function: pthread_cancel
executable:     /usr/bin/speech-dispatcher
kernel:         4.0.6-200.fc21.ppc64
package:        speech-dispatcher-0.8.3-1.fc21
reason:         speech-dispatcher killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1122391


Note You need to log in before you can comment on or make changes to this bug.